# Flux Srpo

## flux-srpo-text-to-image

> FLUX.1 SRPO \[dev] is a 12 billion parameter flow transformer that generates high-quality images from text with incredible aesthetics. It is suitable for personal and commercial use.

````json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"flux-srpo"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/generations":{"post":{"summary":"flux-srpo-text-to-image","deprecated":false,"description":"FLUX.1 SRPO [dev] is a 12 billion parameter flow transformer that generates high-quality images from text with incredible aesthetics. It is suitable for personal and commercial use.","tags":["flux-srpo"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"size":{"type":"string","description":"The size of the generated image. Default value: `landscape_4_3`\n\nPossible enum values: `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9`\n\nNote: For custom image sizes, you can pass the width and height as an object:\n\n```json\n\"image_size\": {\n  \"width\": 1280,\n  \"height\": 720\n}\n```","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"],"default":"landscape_4_3"},"num_inference_steps":{"type":"integer","description":"The number of inference steps to perform. Default value: `28`","default":28},"guidance_scale":{"type":"number","description":"The CFG (Classifier Free Guidance) scale is a measure of how close you want the model to stick to your prompt when looking for a related image to show you. Default value: `4.5`","default":4.5},"acceleration":{"type":"string","description":"The speed of the generation. The higher the speed, the faster the generation. Default value: `\"none\"`\n\nPossible enum values: `none`, `regular`, `high`","enum":["none","regular","high"],"default":"none"},"seed":{"type":"integer","description":"The same seed and the same prompt given to the same version of the model will output the same image every time."},"enable_safety_checker":{"type":"boolean","description":"If set to true, the safety checker will be enabled. Default value: `false`","default":false},"n":{"type":"integer","description":"n  is the number of images to generate, default value is `1`.","default":1},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url"],"default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
````
